Subject: Re: bug#20245: 24.5; c++-mode font-lock broken by the last commit to emacs24 branch

From: Oleh Krehel <[email-masked]>
Date: Thu, 2 Apr 2015 15:10:57 +0200

Hi Alan,

On Thu, Apr 2, 2015 at 2:48 PM, Alan Mackenzie <[email-masked]> wrote:

>> I just tried "23bb07e", the latest commit on master, but this issue isn't fixed.
>> The include statements look the same as in the screenshot.
>
> That's a pity.  It looks like there's a separate problem with the "fix"
> from February.
>
> Is there any chance you could send me a copy of the file which triggers
> the bug, a description of exactly what you do to see it, and (unless you
> start from emacs -Q) a copy of your CC Mode configuration (generated by
> C-c C-b)?

The bug is reproducible with emacs -Q. You can get an example file at:
https://github.com/dune-project/dune-pdelab-howto/blob/master/src/navier-stokes/cgstokes_instat.cc

To trigger the bug, just M->, and then scroll up with the mouse to the
start of the file where the headers are.  Random headers will be
partially highlighted with 'default instead of 'font-lock-string-face.

Oleh